<template>
  <div id="app">
    <my-header />

    <div class="content flex flex-col px-12 py-8">
      <div class="best-deals flex flex-col">
        <h1 class="text-3xl font-bold">Лучшие предложения</h1>
        <p class="text-gray-600">С учетом ваших предыдущих заказов</p>

        <div class="flex flex-row mt-6">
          <best-deal />
          <best-deal img="/burger-heroes.png" />
        </div>
        <div class="flex flex-row mt-6">
          <best-deal img="/maccafe.png" />
          <best-deal img="/kfc.png" />
        </div>

        <div class="flex flex-row justify-between items-center mt-10">
          <h1 class="text-3xl font-bold">Предложения недели</h1>
          <div>
            <button class="arrow-icon rounded-full p-4" @click="left">
              <img src="/left.svg" />
            </button>
            <button class="arrow-icon rounded-full p-4 ml-4" @click="right">
              <img src="/right.svg" />
            </button>
          </div>
        </div>

        <div
          class="full-width whitespace-no-wrap overflow-x-scroll flex-row mt-6 overflow-hidden py-4"
        >
          <best-deal
            v-for="(deal, i) in weeklyDeals"
            :key="i"
            :img="deal"
            scrollable
            ref="dealsScroll"
          />
        </div>

        <h1 class="text-3xl font-bold mt-10">Рестораны поблизости</h1>

        <div class="flex flex-row mt-6">
          <best-deal />
          <best-deal img="/maccafe.png" />
          <best-deal img="/teremok.png" />
          <best-deal img="/kfc.png" />
        </div>

        <div class="flex flex-row mt-6">
          <best-deal img="/teremok.png" />
          <best-deal img="/matcha.png" />
          <best-deal img="/bking.png" />
          <best-deal img="/burger-heroes.png" />
        </div>
        <div class="flex flex-row mt-6">
          <best-deal img="/kfc.png" />
          <best-deal img="/bking.png" />
          <best-deal img="/maccafe.png" />
          <best-deal img="/teremok.png" />
        </div>

        <div class="flex justify-center mt-8 mb-16">
          <button class="more-btn font-bold py-2 px-16">Посмотреть еще</button>
        </div>
      </div>
    </div>
    <my-footer />
  </div>
</template>

<script>
import BestDeal from './components/BestDeal.vue'
import Header from './components/Header.vue'
import Footer from './components/Footer.vue'

export default {
  name: 'App',
  components: {
    BestDeal,
    'my-header': Header,
    'my-footer': Footer,
  },
  data() {
    return {
      weeklyDeals: [
        '/kfc.png',
        '/burger-heroes.png',
        '/teremok.png',
        '/burger-heroes.png',
      ],
    }
  },
  methods: {
    right() {
      const target = this.$refs.dealsScroll[this.$refs.dealsScroll.length - 1]
        .$el
      target.parentNode.scroll({ left: target.offsetLeft, behavior: 'smooth' })

      const rndm = Math.floor(Math.random() * (3 - 0 + 1) + 0)
      this.weeklyDeals.push(this.weeklyDeals[rndm])
    },
    left() {
      const target = this.$refs.dealsScroll[0].$el
      target.parentNode.scroll({ left: target.offsetLeft, behavior: 'smooth' })
    },
  },
}
</script>

<style>
#app {
  font-family: Helvetica, Arial, sans-serif;
  -webkit-font-smoothing: antialiased;
  -moz-osx-font-smoothing: grayscale;
  background-color: #f9f9f9;
  overflow: hidden;
}

.more-btn {
  background-color: #f1f1f1;
  border-radius: 10px;
}
</style>
